---
metadata:
  - name: generator
    content: Diplodoc Platform v5.39.1
alternate:
  - https://yandex.com.tr/support/forms/en/api-ref/files/events_v1_views_files_verify_file_view.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/forms/en/llms.txt

<div class="openapi">

# Get file upload status

<!-- markdownlint-disable-file -->

Returns file upload statuses.

Parameters:
- **survey_id**: form ID.
- **data**: list of files whose statuses need to be checked. Download access to the file is verified.

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-post);margin-bottom: 12px">

<div class="openapi__request">

POST {.openapi__method}
```text translate=no
https://api.forms.yandex.net/v1/surveys/{survey_id}/files/verify
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_survey_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Pattern:_{.json-schema-reset .json-schema-assertion} `^[a-fA-F\d]{24}$`

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
[
  {
    "path": "example",
    "url": "example"
  }
]
```

{% endcut %}

**Type**: [FileIn](#entity-FileIn)[]

</div>

<div class="openapi-entity">

### FileIn {#entity-FileIn}

#|
|| **Name** | **Description** ||
||

_path_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

File download path

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_url_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

File download URL

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "path": "example",
  "url": "example"
}
```

{% endcut %}

</div>

## Responses

<div class="openapi__response__code__200">

## 200 OK

OK

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
[
  {
    "name": "example",
    "path": "example",
    "size": 0,
    "url": "example",
    "check_status": "check"
  }
]
```

{% endcut %}

**Type**: [FileOut](#entity-FileOut)[]

</div>

<div class="openapi-entity">

### FileCheckStatusType {#entity-FileCheckStatusType}

An enumeration.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `check`, `ready`, `infected`, `error`, `deleted`

</div>

<div class="openapi-entity">

### FileOut {#entity-FileOut}

#|
|| **Name** | **Description** ||
||

_name_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

File name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_path_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

File download path

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_size_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

File size
{.table-cell}
||
||

_check_status_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **FileCheckStatusType**

  **Type**: [FileCheckStatusType](#entity-FileCheckStatusType)

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `check`, `ready`, `infected`, `error`, `deleted`

{% endcut %}

File check status

_Example:_{.json-schema-reset .json-schema-example} `check`
{.table-cell}
||
||

_url_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

File download URL

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "name": "example",
  "path": "example",
  "size": 0,
  "url": "example",
  "check_status": "check"
}
```

{% endcut %}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.